﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls.Charting;

namespace SilverlightApplication1
{
    public partial class MainPage : UserControl
    {
        public MainPage()
        {
            InitializeComponent();
            DataSeries series1 = new DataSeries()
            {
                new DataPoint(40), 
                new DataPoint(40), 
                new DataPoint(40) 
            };
            series1.Definition = new StackedBarSeriesDefinition() { ItemStyle = this.Resources["CustomStackedBar"] as Style };


            DataSeries series2 = new DataSeries()
            {
                new DataPoint(40), 
                new DataPoint(40) 
            };
            series2.Definition = new StackedBarSeriesDefinition() { ItemStyle = this.Resources["CustomStackedBar"] as Style };


            series1.Definition.InteractivitySettings.HoverScope = InteractivityScope.Series;
            series2.Definition.InteractivitySettings.HoverScope = InteractivityScope.Series;
            RadChart1.DefaultView.ChartArea.DataSeries.Add(series1);
            RadChart1.DefaultView.ChartArea.DataSeries.Add(series2);
             
        }
    }
}
